Subject: Re: bug#45041: 27.1; Emacs hangs if the cited message contains some specific text

From: Pratyush Yadav <[email-masked]>
Date: Tue, 19 Jan 2021 18:44:10 +0530

On 19/01/21 04:14AM, Lars Ingebrigtsen wrote:
> Pratyush Yadav <[email-masked]> writes:
> 
> > FWIW, I am using Doom Emacs [0]. Could it have anything to do with this? 
> > I don't think they touch Gnus all that much but maybe some other plugin 
> > or setting is causing a side effect.
> 
> I don't think Doom should be influencing this, because the test case
> seems straight-forward -- you said that just that looking-at, in itself,
> was hanging?  That is, does eval-in the following hang for you?
> 
> (with-temp-buffer
>   (insert "> ___________________________________________________________________________\n")
>   (goto-char (point-min))
>   (looking-at "^\\(\\([ 	]*\\(\\w\\|[_.]\\)+>+\\|[ 	]*[>|]\\)+\\)? *>>>>> +\"\\([^\" ]+\\)\" +=="))

My "eval-in" I assume you mean pressing `M-:`.

If I open any buffer and run this snippet, it returns nil almost 
instantly. If I add (gnus-article-mode) after (goto-char (point-min)) it 
freezes up.
 
> -- 
> (domestic pets only, the antidote for overdose, milk.)
>    bloggy blog: http://lars.ingebrigtsen.no

-- 
Regards,
Pratyush Yadav